import { Task } from '@bringg/types';
import { MappedStorableItem } from '../../data-entity';
import DataStore from '../../data-store';
import Session from '../../Services/Identity/Session';
import StorableDataService from '../../storable-data-service';
export default class TaskRealtimeSubscriptions {
    private tasksStore;
    private readonly storableRealtimeSubscriptions;
    constructor(session: Session, tasksStore: DataStore<Task>, storableDataService: StorableDataService<Task, Task>);
    updateStoreOnEvents(): void;
    onCreate(callback: (eventData: MappedStorableItem<Task>) => void): import("../../Data/storable-types").StorableEventUnsubscribe;
    onDelete(callback: (eventData: MappedStorableItem<Task>) => void): import("../../Data/storable-types").StorableEventUnsubscribe;
    onWayPointUpdate(callback: (eventData: MappedStorableItem<Task>) => void): import("../../Data/storable-types").StorableEventUnsubscribe;
    onWayPointDelete(callback: (eventData: MappedStorableItem<Task>) => void): import("../../Data/storable-types").StorableEventUnsubscribe;
    onUpdate(callback: (eventData: MappedStorableItem<Task>) => void): import("../../Data/storable-types").StorableEventUnsubscribe;
    callRealTimeEvent(modifiedItem: any): void;
    callUpdateTaskRealTimeEvents(modifiedItems: any): void;
}
